import React, { useEffect, useState } from 'react'
import styles from './index.module.scss'
import { baseURL } from '@/utils/http'

const objData = {
  // 500
  1: {
    txt1: '抱歉，系统错误，',
    txt2: '您可以选择尝试清除缓存或联系管理员',
    imgName: '500'
  },

  // 网络错误
  2: {
    txt1: '网络错误， ',
    txt2: '请检查网络连接是否正常',
    imgName: 'err'
  },
  // 建设中页面
  3: {
    txt1: '正在建设中，敬请期待',
    txt2: '',
    imgName: 'isBuild'
  },
  // 查询为空
  4: {
    txt1: '暂无相关搜索结果，请更换关键字搜索',
    txt2: '',
    imgName: 'build'
  },
  // 详情页为空
  5: {
    txt1: '暂无相关内容，请退回上一页',
    txt2: '',
    imgName: 'null'
  },
  // 404
  6: {
    txt1: '抱歉，系统错误，',
    txt2: '您可以选择尝试清除缓存或联系管理员',
    imgName: '404'
  }
}

function NoPower() {
  const [info, setInfo] = useState({
    txt1: '',
    txt2: '',
    imgName: ''
  })

  useEffect(() => {
    const urlAll = window.location.href
    const arr = urlAll.split('?k=')
    if (arr && arr.length > 1) {
      const num = arr[1]

      const obj = Reflect.get(objData, num)
      if (obj.imgName) setInfo(obj)
    } else {
      setInfo({
        txt1: '抱歉，您暂无当前页面的访问权限，',
        txt2: '请联系管理员',
        imgName: 'noPower'
      })
    }
  }, [])

  return (
    <div className={styles.NoPower}>
      <img src={baseURL + `/baseData/staImg/${info.imgName}.png`} alt='' />
      <p>{info.txt1} </p>
      <p>{info.txt2}</p>
      <div>
        <p>应用归属单位：义乌市博物馆</p>
        <p>应用管理员：李亮</p>
        <p>联系方式：18767178372</p>
      </div>
    </div>
  )
}

const MemoNoPower = React.memo(NoPower)

export default MemoNoPower
